From d9b3478103d319185f4d1e1c44e1f7d1e57f83f8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Fr=C3=A9d=C3=A9ric=20P=C3=A9ters?= <fpeters@entrouvert.com>
Date: Sun, 10 Jul 2022 21:32:33 +0200
Subject: [PATCH 5/7] general: remove is_using_postgresql conditionals (#67190)

---
 tests/api/test_formdata.py                  |  78 ++--
 tests/api/test_formdef.py                   |   7 +-
 tests/api/test_user.py                      |   8 -
 tests/backoffice_pages/test_all.py          | 176 +++------
 tests/backoffice_pages/test_carddata.py     |   4 -
 tests/backoffice_pages/test_columns.py      |  32 --
 tests/backoffice_pages/test_custom_view.py  |   4 -
 tests/backoffice_pages/test_export.py       |   4 -
 tests/backoffice_pages/test_filters.py      | 139 +++----
 tests/backoffice_pages/test_form_inspect.py |   8 -
 tests/backoffice_pages/test_statistics.py   |  24 +-
 tests/form_pages/test_all.py                |  85 ++--
 tests/form_pages/test_block.py              |  15 +-
 tests/form_pages/test_computed_field.py     |  48 +--
 tests/form_pages/test_file_field.py         |  13 +-
 tests/form_pages/test_formdata.py           |   9 +-
 tests/form_pages/test_live.py               |  36 +-
 tests/test_carddef.py                       |  30 +-
 tests/test_datasource.py                    | 226 +++++------
 tests/test_fc_auth.py                       |   6 +-
 tests/test_formdata.py                      | 143 +++----
 tests/test_formdef.py                       |  13 +-
 tests/test_sessions.py                      |   8 -
 tests/utilities.py                          |   2 -
 tests/workflow/test_all.py                  | 408 +++++++++-----------
 tests/workflow/test_carddata.py             |  24 +-
 tests/workflow/test_formdata.py             |  57 ++-
 wcs/admin/data_sources.py                   |   2 +-
 wcs/admin/forms.py                          | 106 -----
 wcs/admin/logged_errors.py                  |   3 +-
 wcs/admin/settings.py                       |   5 +-
 wcs/api.py                                  | 235 +++++------
 wcs/backoffice/cards.py                     |   3 -
 wcs/backoffice/management.py                | 309 ++++++---------
 wcs/backoffice/submission.py                |  12 +-
 wcs/carddef.py                              |   2 +-
 wcs/ctl/delete_tenant.py                    | 118 +++---
 wcs/ctl/rebuild_indexes.py                  |  12 -
 wcs/formdata.py                             |  29 +-
 wcs/formdef.py                              |  45 +--
 wcs/forms/backoffice.py                     | 110 +-----
 wcs/publisher.py                            |   8 +-
 wcs/qommon/cron.py                          |   3 +-
 wcs/qommon/tokens.py                        |  16 +-
 wcs/sql.py                                  |  13 +-
 wcs/statistics/views.py                     |   6 -
 wcs/users.py                                |   3 -
 wcs/variables.py                            |   5 +-
 wcs/wf/jump.py                              |  41 +-
 49 files changed, 929 insertions(+), 1764 deletions(-)

diff --git a/tests/api/test_formdata.py b/tests/api/test_formdata.py
index dad4ea7f2..f93bab0c9 100644
--- a/tests/api/test_formdata.py
+++ b/tests/api/test_formdata.py
@@ -788,30 +788,27 @@ def test_api_list_formdata(pub, local_user):
     get_app(pub).get(sign_uri('/api/forms/test/list?filter=all&offset=plop', user=local_user), status=400)
     get_app(pub).get(sign_uri('/api/forms/test/list?filter=all&limit=plop', user=local_user), status=400)
 
-    if pub.is_using_postgresql():
-        # just check ordering
-        resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&order_by=f0', user=local_user))
-        assert [d['fields']['foobar'] for d in resp.json] == ['FOO BAR %02d' % i for i in range(0, 30)]
+    # just check ordering
+    resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&order_by=f0', user=local_user))
+    assert [d['fields']['foobar'] for d in resp.json] == ['FOO BAR %02d' % i for i in range(0, 30)]
 
-        resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&order_by=-f0', user=local_user))
-        assert [d['fields']['foobar'] for d in resp.json] == ['FOO BAR %02d' % i for i in range(29, -1, -1)]
+    resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&order_by=-f0', user=local_user))
+    assert [d['fields']['foobar'] for d in resp.json] == ['FOO BAR %02d' % i for i in range(29, -1, -1)]
 
-        resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&order_by=foobar', user=local_user))
-        assert [d['fields']['foobar'] for d in resp.json] == ['FOO BAR %02d' % i for i in range(0, 30)]
+    resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&order_by=foobar', user=local_user))
+    assert [d['fields']['foobar'] for d in resp.json] == ['FOO BAR %02d' % i for i in range(0, 30)]
 
-        resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&order_by=-foobar', user=local_user))
-        assert [d['fields']['foobar'] for d in resp.json] == ['FOO BAR %02d' % i for i in range(29, -1, -1)]
+    resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&order_by=-foobar', user=local_user))
+    assert [d['fields']['foobar'] for d in resp.json] == ['FOO BAR %02d' % i for i in range(29, -1, -1)]
 
-        # check fts
-        resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&q=foo', user=local_user))
-        assert len(resp.json) == 30
-        resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&q=baz', user=local_user))
-        assert len(resp.json) == 14
+    # check fts
+    resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&q=foo', user=local_user))
+    assert len(resp.json) == 30
+    resp = get_app(pub).get(sign_uri('/api/forms/test/list?full=on&q=baz', user=local_user))
+    assert len(resp.json) == 14
 
 
 def test_api_list_formdata_order_by_rank(pub, local_user):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
     pub.role_class.wipe()
     role = pub.role_class(name='test')
     role.store()
@@ -938,8 +935,8 @@ def test_api_list_formdata_string_filter(pub, local_user):
     params = [
         ('eq', 'FOO 2', 1),
         ('ne', 'FOO 2', 3),
-        ('lt', 'FOO 2', 2 if pub.is_using_postgresql() else 3),
-        ('lte', 'FOO 2', 3 if pub.is_using_postgresql() else 4),
+        ('lt', 'FOO 2', 2),
+        ('lte', 'FOO 2', 3),
         ('gt', 'FOO 2', 0),
         ('gt', '42', 0),
         ('gte', 'FOO 2', 1),
@@ -957,8 +954,8 @@ def test_api_list_formdata_string_filter(pub, local_user):
         ('eq', '10', 1),
         ('eq', '010', 1),
         ('ne', '10', 3),
-        ('lt', '10', 1 if pub.is_using_postgresql() else 2),
-        ('lte', '10', 2 if pub.is_using_postgresql() else 3),
+        ('lt', '10', 1),
+        ('lte', '10', 2),
         ('gt', '10', 1),
         ('gt', '9', 2),
         ('gte', '10', 2),
@@ -1021,8 +1018,8 @@ def test_api_list_formdata_item_filter(pub, local_user):
         ('eq', '10', 1),
         ('eq', '010', 1),
         ('ne', '10', 3),
-        ('lt', '10', 1 if pub.is_using_postgresql() else 2),
-        ('lte', '10', 2 if pub.is_using_postgresql() else 3),
+        ('lt', '10', 1),
+        ('lte', '10', 2),
         ('gt', '10', 1),
         ('gt', '9', 2),
         ('gte', '10', 2),
@@ -1041,8 +1038,8 @@ def test_api_list_formdata_item_filter(pub, local_user):
     params = [
         ('eq', 'foo', 1),
         ('ne', 'foo', 3),
-        ('lt', 'foo', 2 if pub.is_using_postgresql() else 3),
-        ('lte', 'foo', 3 if pub.is_using_postgresql() else 4),
+        ('lt', 'foo', 2),
+        ('lte', 'foo', 3),
         ('gt', 'foo', 0),
         ('gt', '42', 0),
         ('gte', 'foo', 1),
@@ -1182,7 +1179,7 @@ def test_api_list_formdata_bool_filter(pub, local_user):
         formdata.store()
 
     resp = get_app(pub).get(sign_uri('/api/forms/test/list?filter-bool=false', user=local_user))
-    assert len(resp.json) == 2 if pub.is_using_postgresql() else 3
+    assert len(resp.json) == 2
     resp = get_app(pub).get(sign_uri('/api/forms/test/list?filter-bool=true', user=local_user))
     assert len(resp.json) == 1
     params = [
@@ -1209,9 +1206,6 @@ def test_api_list_formdata_bool_filter(pub, local_user):
 
 
 def test_api_list_formdata_date_filter(pub, local_user):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-
     pub.role_class.wipe()
     role = pub.role_class(name='test')
     role.store()
@@ -1412,9 +1406,6 @@ def test_api_list_formdata_number_filter(pub, local_user):
 
 
 def test_api_list_formdata_block_field_filter(pub, local_user):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-
     NamedDataSource.wipe()
     data_source = NamedDataSource(name='foobar')
     data_source.data_source = {
@@ -2142,11 +2133,6 @@ def test_api_global_geojson(pub, local_user):
             formdata.jump_status('finished')
         formdata.store()
 
-    if not pub.is_using_postgresql():
-        resp = get_app(pub).get(sign_uri('/api/forms/geojson', user=local_user), status=404)
-        pytest.skip('this requires SQL')
-        return
-
     # check empty content if user doesn't have the appropriate role
     resp = get_app(pub).get(sign_uri('/api/forms/geojson', user=local_user))
     assert 'features' in resp.json
@@ -2170,11 +2156,6 @@ def test_api_global_geojson(pub, local_user):
 @pytest.mark.parametrize('user', ['query-email', 'api-access'])
 @pytest.mark.parametrize('auth', ['signature', 'http-basic'])
 def test_api_global_listing(pub, local_user, user, auth):
-    if not pub.is_using_postgresql():
-        resp = get_app(pub).get(sign_uri('/api/forms/geojson', user=local_user), status=404)
-        pytest.skip('this requires SQL')
-        return
-
     pub.role_class.wipe()
     role = pub.role_class(name='test')
     role.store()
@@ -2279,10 +2260,6 @@ def test_api_global_listing(pub, local_user, user, auth):
 
 
 def test_api_global_listing_categories_filter(pub, local_user):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     Category.wipe()
     category1 = Category()
     category1.name = 'Category 1'
@@ -2391,11 +2368,6 @@ def test_api_global_listing_ignored_roles(pub, local_user):
 
 
 def test_api_include_anonymised(pub, local_user):
-    if not pub.is_using_postgresql():
-        resp = get_app(pub).get(sign_uri('/api/forms/geojson', user=local_user), status=404)
-        pytest.skip('this requires SQL')
-        return
-
     pub.role_class.wipe()
     role = pub.role_class(name='test')
     role.store()
@@ -2438,10 +2410,6 @@ def test_api_include_anonymised(pub, local_user):
 
 
 def test_global_forms_api_user_uuid_filter(pub, local_user):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.role_class.wipe()
     role = pub.role_class(name='test')
     role.store()
diff --git a/tests/api/test_formdef.py b/tests/api/test_formdef.py
index ee26b5300..95318921b 100644
--- a/tests/api/test_formdef.py
+++ b/tests/api/test_formdef.py
@@ -177,11 +177,8 @@ def test_formdef_list(pub):
         formdata.store()
 
     resp = get_app(pub).get(sign_uri('/api/formdefs/?include-count=on'))
-    if not pub.is_using_postgresql():
-        assert resp.json['data'][0]['count'] == 8
-    else:
-        # 3*4 + 2*2 + 1*1
-        assert resp.json['data'][0]['count'] == 17
+    # 3*4 + 2*2 + 1*1
+    assert resp.json['data'][0]['count'] == 17
 
 
 def test_formdef_list_categories_filter(pub):
diff --git a/tests/api/test_user.py b/tests/api/test_user.py
index f9d84863c..9d436d734 100644
--- a/tests/api/test_user.py
+++ b/tests/api/test_user.py
@@ -410,10 +410,6 @@ def test_user_forms(pub, local_user, access):
 
 
 def test_user_forms_limit_offset(pub, local_user):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     FormDef.wipe()
     formdef = FormDef()
     formdef.name = 'test limit offset'
@@ -614,10 +610,6 @@ def test_user_forms_api_access_restrict_to_anonymised_data(pub, local_user, acce
 
 
 def test_user_forms_include_accessible(pub, local_user, access):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.role_class.wipe()
     role = pub.role_class(name='Foo bar')
     role.store()
diff --git a/tests/backoffice_pages/test_all.py b/tests/backoffice_pages/test_all.py
index e9fb9e225..96ccce2ca 100644
--- a/tests/backoffice_pages/test_all.py
+++ b/tests/backoffice_pages/test_all.py
@@ -269,25 +269,22 @@ def test_backoffice_forms(pub):
     assert '9 open on 50' in resp.text
 
     # anonymise some formdata, they should no longer be included
-    if pub.is_using_postgresql():
-        formdef = FormDef.get_by_urlname('form-title')
-        for i, formdata in enumerate(
-            formdef.data_class().select([st.Equal('status', 'wf-finished')], order_by='id')
-        ):
-            if i >= 20:
-                break
-            formdata.anonymise()
+    formdef = FormDef.get_by_urlname('form-title')
+    for i, formdata in enumerate(
+        formdef.data_class().select([st.Equal('status', 'wf-finished')], order_by='id')
+    ):
+        if i >= 20:
+            break
+        formdata.anonymise()
 
-        for i, formdata in enumerate(
-            formdef.data_class().select([st.Equal('status', 'wf-new')], order_by='id')
-        ):
-            if i >= 5:
-                break
-            formdata.anonymise()
+    for i, formdata in enumerate(formdef.data_class().select([st.Equal('status', 'wf-new')], order_by='id')):
+        if i >= 5:
+            break
+        formdata.anonymise()
 
-        resp = app.get('/backoffice/management/forms')
-        assert 'Forms in your care' in resp.text
-        assert '4 open on 25' in resp.text
+    resp = app.get('/backoffice/management/forms')
+    assert 'Forms in your care' in resp.text
+    assert '4 open on 25' in resp.text
 
 
 def test_backoffice_management_css_class(pub):
@@ -340,22 +337,15 @@ def test_backoffice_listing(pub):
     resp = app.get('/backoffice/management/form-title/')
     resp.forms['listing-settings']['filter'] = 'all'
     resp = resp.forms['listing-settings'].submit()
-    if pub.is_using_postgresql():
-        assert resp.text.count('data-link') == 20
-    else:
-        # not using sql -> no pagination
-        assert resp.text.count('data-link') == 50
+    assert resp.text.count('data-link') == 20
 
     # check status filter <select>
     resp = app.get('/backoffice/management/form-title/')
     resp.forms['listing-settings']['filter'] = 'done'
     resp = resp.forms['listing-settings'].submit()
-    if pub.is_using_postgresql():
-        assert resp.text.count('data-link') == 20
-        resp = resp.click('Next Page')
-        assert resp.text.count('data-link') == 13
-    else:
-        assert resp.text.count('data-link') == 33
+    assert resp.text.count('data-link') == 20
+    resp = resp.click('Next Page')
+    assert resp.text.count('data-link') == 13
 
     # add an extra status to workflow and move a few formdatas to it, they
     # should then be marked as open but not waiting for actions.
@@ -424,9 +414,6 @@ def test_backoffice_listing(pub):
 
 
 def test_backoffice_listing_pagination(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
     create_superuser(pub)
     create_environment(pub)
     app = login(get_app(pub))
@@ -469,9 +456,6 @@ def test_backoffice_listing_pagination(pub):
 
 
 def test_backoffice_listing_anonymised(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
     create_superuser(pub)
     create_environment(pub)
     app = login(get_app(pub))
@@ -488,9 +472,6 @@ def test_backoffice_listing_anonymised(pub):
 
 
 def test_backoffice_listing_fts(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
     create_superuser(pub)
     create_environment(pub)
     formdef = FormDef.get_by_urlname('form-title')
@@ -1366,10 +1347,6 @@ def test_backoffice_wscall_failure_display(http_requests, pub):
 @pytest.mark.parametrize('notify_on_errors', [True, False])
 @pytest.mark.parametrize('record_on_errors', [True, False])
 def test_backoffice_wscall_on_error(http_requests, pub, emails, notify_on_errors, record_on_errors):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.cfg['debug'] = {'error_email': 'errors@localhost.invalid'}
     pub.cfg['emails'] = {'from': 'from@localhost.invalid'}
     pub.write_cfg()
@@ -1986,10 +1963,6 @@ def test_backoffice_wfedit_and_live_condition(pub):
 
 
 def test_global_listing(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     create_user(pub)
     create_environment(pub)
     app = login(get_app(pub))
@@ -2105,10 +2078,6 @@ def test_global_listing(pub):
 
 
 def test_global_listing_parameters_from_query_string(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     create_user(pub)
     create_environment(pub)
     app = login(get_app(pub))
@@ -2131,10 +2100,6 @@ def test_global_listing_parameters_from_query_string(pub):
 
 
 def test_global_listing_user_label(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     create_user(pub)
     FormDef.wipe()
 
@@ -2170,10 +2135,6 @@ def test_global_listing_user_label(pub):
 
 
 def test_management_views_with_no_formdefs(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     create_user(pub)
     create_environment(pub)
     FormDef.wipe()
@@ -2193,10 +2154,6 @@ def test_management_views_with_no_formdefs(pub):
 
 
 def test_category_in_global_listing(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     FormDef.wipe()
     Category.wipe()
 
@@ -2283,10 +2240,6 @@ def test_category_in_global_listing(pub):
 
 
 def test_datetime_in_global_listing(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     create_user(pub)
     create_environment(pub)
 
@@ -2324,10 +2277,6 @@ def test_datetime_in_global_listing(pub):
 
 
 def test_global_listing_anonymised(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     create_user(pub)
     create_environment(pub)
     app = login(get_app(pub))
@@ -2346,10 +2295,6 @@ def test_global_listing_anonymised(pub):
 
 
 def test_global_listing_geojson(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     create_user(pub)
     create_environment(pub)
 
@@ -2381,10 +2326,6 @@ def test_global_listing_geojson(pub):
 
 
 def test_global_map(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     create_user(pub)
     create_environment(pub)
 
@@ -2447,38 +2388,33 @@ def test_formdata_lookup(pub):
     resp = resp.form.submit()
     assert resp.location == 'http://example.net/backoffice/management/form-title/%s/' % formdata.id
 
-    if pub.is_using_postgresql():
-        # check looking up on a custom display_id
-        formdata.id_display = '999999'
-        formdata.store()
-        assert formdata.get_display_id() == '999999'
-        resp = app.get('/backoffice/management/').follow()
-        resp.form['query'] = formdata.get_display_id()
-        resp = resp.form.submit()
-        assert resp.location == 'http://example.net/backoffice/management/form-title/%s/' % formdata.id
-
-        # try it from the global listing
-        resp = app.get('/backoffice/management/listing')
-        assert 'id="lookup-box"' in resp.text
-        resp.forms[0]['query'] = formdata.tracking_code
-        resp = resp.forms[0].submit()
-        assert resp.location == 'http://example.net/backoffice/management/form-title/%s/' % formdata.id
-        resp = resp.follow()
-        assert 'The form has been recorded' in resp.text
+    # check looking up on a custom display_id
+    formdata.id_display = '999999'
+    formdata.store()
+    assert formdata.get_display_id() == '999999'
+    resp = app.get('/backoffice/management/').follow()
+    resp.form['query'] = formdata.get_display_id()
+    resp = resp.form.submit()
+    assert resp.location == 'http://example.net/backoffice/management/form-title/%s/' % formdata.id
 
-        resp = app.get('/backoffice/management/listing')
-        resp.forms[0]['query'] = 'AAAAAAAA'
-        resp = resp.forms[0].submit()
-        assert resp.location == 'http://example.net/backoffice/management/listing'
-        resp = resp.follow()
-        assert 'No such tracking code or identifier.' in resp.text
+    # try it from the global listing
+    resp = app.get('/backoffice/management/listing')
+    assert 'id="lookup-box"' in resp.text
+    resp.forms[0]['query'] = formdata.tracking_code
+    resp = resp.forms[0].submit()
+    assert resp.location == 'http://example.net/backoffice/management/form-title/%s/' % formdata.id
+    resp = resp.follow()
+    assert 'The form has been recorded' in resp.text
+
+    resp = app.get('/backoffice/management/listing')
+    resp.forms[0]['query'] = 'AAAAAAAA'
+    resp = resp.forms[0].submit()
+    assert resp.location == 'http://example.net/backoffice/management/listing'
+    resp = resp.follow()
+    assert 'No such tracking code or identifier.' in resp.text
 
 
 def test_backoffice_sidebar_user_context(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     user = create_user(pub)
     create_environment(pub)
     form_class = FormDef.get_by_urlname('form-title').data_class()
@@ -2576,9 +2512,6 @@ def test_backoffice_sidebar_lateral_block(pub):
 
 
 def test_count_open(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
     create_user(pub)
 
     FormDef.wipe()
@@ -2710,9 +2643,6 @@ def test_backoffice_backoffice_submission_in_listings(pub):
 
 
 def test_backoffice_backoffice_submission_in_global_listing(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
     create_superuser(pub)
     create_environment(pub)
 
@@ -2758,12 +2688,11 @@ def test_backoffice_advisory_lock(pub):
     resp = app.get('/backoffice/management/form-title/')
     assert 'advisory-lock' not in resp.text
 
-    if pub.is_using_postgresql():
-        # check global view
-        resp = app2.get('/backoffice/management/listing?limit=100')
-        assert 'advisory-lock' in resp.text
-        resp = app.get('/backoffice/management/listing?limit=100')
-        assert 'advisory-lock' not in resp.text
+    # check global view
+    resp = app2.get('/backoffice/management/listing?limit=100')
+    assert 'advisory-lock' in resp.text
+    resp = app.get('/backoffice/management/listing?limit=100')
+    assert 'advisory-lock' not in resp.text
 
     resp = app.get('/backoffice/management/form-title/' + first_link)
     assert 'Be warned forms of this user are also being looked' not in resp.text
@@ -2810,9 +2739,6 @@ def test_backoffice_advisory_lock(pub):
 
 
 def test_backoffice_advisory_lock_related_formdatas(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
     pub.session_manager.session_class.wipe()
     user = create_superuser(pub)
     create_environment(pub)
@@ -3622,10 +3548,6 @@ def test_backoffice_fields(pub):
 
 
 def test_backoffice_logged_errors(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     Workflow.wipe()
     workflow = Workflow.get_default_workflow()
     workflow.id = '12'
@@ -4144,8 +4066,7 @@ def test_backoffice_create_formdata_backoffice_submission(pub, create_formdata):
     assert target_data_class.count() == 0
     # resubmit it through backoffice submission
     resp = resp.form.submit(name='button_resubmit')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
     assert target_data_class.count() == 1
     target_formdata = target_data_class.select()[0]
 
@@ -4264,8 +4185,7 @@ def test_backoffice_create_formdata_map_fields_by_varname(pub, create_formdata):
     assert target_data_class.count() == 0
     # resubmit it through backoffice submission
     resp = resp.form.submit(name='button_resubmit')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
     assert target_data_class.count() == 1
     target_formdata = target_data_class.select()[0]
 
diff --git a/tests/backoffice_pages/test_carddata.py b/tests/backoffice_pages/test_carddata.py
index 5c84db643..d4aaab86d 100644
--- a/tests/backoffice_pages/test_carddata.py
+++ b/tests/backoffice_pages/test_carddata.py
@@ -552,10 +552,6 @@ def test_backoffice_cards_import_data_csv_invalid_columns(pub):
 
 
 def test_backoffice_cards_wscall_failure_display(http_requests, pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     user = create_user(pub)
 
     Workflow.wipe()
diff --git a/tests/backoffice_pages/test_columns.py b/tests/backoffice_pages/test_columns.py
index 1feea54de..a0405e8e1 100644
--- a/tests/backoffice_pages/test_columns.py
+++ b/tests/backoffice_pages/test_columns.py
@@ -309,10 +309,6 @@ def test_backoffice_user_columns(pub):
     resp = app.get('/backoffice/management/form-title/')
     assert resp.text.count('</th>') == 6  # four columns
 
-    if not pub.is_using_postgresql():
-        # no support for relation columns unless using SQL
-        assert 'user-label$3' not in resp.forms['listing-settings'].fields
-        return
     resp.forms['listing-settings']['user-label$3'].checked = True
     resp = resp.forms['listing-settings'].submit()
     assert resp.text.count('</th>') == 7
@@ -381,10 +377,6 @@ def test_backoffice_card_field_columns(pub):
     app = login(get_app(pub))
     resp = app.get('/backoffice/management/form-title/')
     assert resp.text.count('</th>') == 6  # four columns
-    if not pub.is_using_postgresql():
-        # no support for relation columns unless using SQL
-        assert '4$1' not in resp.forms['listing-settings'].fields
-        return
     assert '4$0' not in resp.forms['listing-settings'].fields
     resp.forms['listing-settings']['4$1'].checked = True
     resp.forms['listing-settings']['4$2'].checked = True
@@ -415,10 +407,6 @@ def test_backoffice_card_field_columns(pub):
 
 
 def test_backoffice_block_columns(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.user_class.wipe()
     create_superuser(pub)
     pub.role_class.wipe()
@@ -520,10 +508,6 @@ def test_backoffice_block_columns(pub):
 
 
 def test_backoffice_block_email_column(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.user_class.wipe()
     create_superuser(pub)
     pub.role_class.wipe()
@@ -585,10 +569,6 @@ def test_backoffice_block_email_column(pub):
 
 
 def test_backoffice_block_bool_column(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.user_class.wipe()
     create_superuser(pub)
     pub.role_class.wipe()
@@ -649,10 +629,6 @@ def test_backoffice_block_bool_column(pub):
 
 
 def test_backoffice_block_date_column(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.user_class.wipe()
     create_superuser(pub)
     pub.role_class.wipe()
@@ -713,10 +689,6 @@ def test_backoffice_block_date_column(pub):
 
 
 def test_backoffice_block_file_column(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.user_class.wipe()
     create_superuser(pub)
     pub.role_class.wipe()
@@ -780,10 +752,6 @@ def test_backoffice_block_file_column(pub):
 
 
 def test_backoffice_block_column_position(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.user_class.wipe()
     create_superuser(pub)
     pub.role_class.wipe()
diff --git a/tests/backoffice_pages/test_custom_view.py b/tests/backoffice_pages/test_custom_view.py
index 3189761e8..a2d4c50c3 100644
--- a/tests/backoffice_pages/test_custom_view.py
+++ b/tests/backoffice_pages/test_custom_view.py
@@ -827,10 +827,6 @@ def test_backoffice_custom_view_columns(pub):
 
 
 def test_backoffice_custom_view_sort_field(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     create_superuser(pub)
 
     FormDef.wipe()
diff --git a/tests/backoffice_pages/test_export.py b/tests/backoffice_pages/test_export.py
index e3f282c5b..c057d470b 100644
--- a/tests/backoffice_pages/test_export.py
+++ b/tests/backoffice_pages/test_export.py
@@ -589,10 +589,6 @@ def test_backoffice_csv_export_table(pub):
 
 
 def test_backoffice_csv_export_ordering(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     create_superuser(pub)
 
     FormDef.wipe()
